# Kite - Detailed Router

Classes | Typedefs | Enumerations
Kite Namespace Reference

The namespace dedicated to Kite. More...

## Classes
class | DataNegociate
| Algorimthmic datas associated the TrackSegment. More...
class | HorizontalTrack
| Horizontal track managment. More...
class | KiteEngine
| The Kite Tool. More...
class | Manipulator
| Handle TrackElement ripup & topological modifications. More...
class | NegociateWindow
| Perform the routing, main RoutingEvent manager. More...
class | RoutingEvent
| Atomic Placement Request for a TrackSegment. More...
class | RoutingEventHistory
| History of RoutingEvent. More...
class | RoutingEventLoop
| Simple loop dectector for RoutingEvent. More...
class | RoutingEventQueue
| The priority Queue of RoutingEvent. More...
class | RoutingPlane
| Array of Tracks in one Layer. More...
class | SegmentAction
| Store request for an event to be generated on a TrackElement. More...
class | SegmentFsm
| Pseudo-decorator to process a RoutingEvent. More...
class | SegmentObserver
| Observer on the base AutoSegment. More...
class | Session
| Kite update Session. More...
class | Track
| Structure managing one routing track. More...
class | TrackElement
| Abstract Class for all Elements inserted inside a Track. More...
class | TrackFixedSegment
| Track elements for fixed wires. More...
class | TrackMarker
| Tag part of Track with a weight. More...
class | TrackSegment
| Derived Katabatic::AutoSegment for the router. More...
class | VerticalTrack
| Vertical track managment. More...

## Typedefs
typedef void() | SegmentOverlapCostCB(const TrackElement *, TrackCost &)

## Enumerations
enum | FunctionFlags { , KtLoadGlobalRouting = 0x00000001, KtBuildGlobalRouting = 0x00000002, KtAllowDoglegReuse = 0x00000004, KtDataSelf = 0x00000008, KtNearest = 0x00000010, KtForce = 0x00000020, KtResetCount = 0x00000040, KtWithPerpands = 0x00000080, KtWithConstraints = 0x00000100 }

## Detailed Description

The namespace dedicated to Kite.

## Typedef Documentation

## ◆ SegmentOverlapCostCB

SegmentOverlapCostCB

Prototype of overlap cost callback functions.

See also: TrackSegment::setOverlapCostCB(), TrackSegment::getOverlapCost().

## Enumeration Type Documentation

## ◆ FunctionFlags

enum FunctionFlags

Enumerator
KtLoadGlobalRouting | Reload the global routing from a preciously saved run (``.kgr file).
KtBuildGlobalRouting | Run the global router Knik.
KtAllowDoglegReuse | Allow sharing of dogleg.
KtDataSelf | To be documented.
KtNearest | Round the position to the nearest track axis.
KtForce | Force to perform an action ignoring the "up to date" state.
KtResetCount | Tells to reset a counter.
KtWithPerpands | Ripup perpandiculars alongside the current segment.
KtWithConstraints | Force constraints recomputation.

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Kite - Detailed Router | Copyright © 2008-2016 UPMC. All rights reserved